List all activities
curl --request GET \
--url https://api.sandbox.immutable.com/v1/chains/{chain_name}/activitiesimport requests
url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/activities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"id": "4e28df8d-f65c-4c11-ba04-6a9dd47b179b",
"chain": {
"id": "eip155:13372",
"name": "imtbl-zkevm-testnet"
},
"type": "mint",
"details": {
"to": "0xe9b00a87700f660e46b6f5deaa1232836bcc07d3",
"amount": "1",
"asset": {
"contract_address": "0x8a90cab2b38dba80c64b7734e58ee1db38b8992e",
"token_id": "1",
"amount": "1"
}
},
"updated_at": "2022-08-16T17:43:26.991388Z",
"indexed_at": "2022-08-16T17:43:26.991388Z",
"blockchain_metadata": {
"transaction_hash": "0x68d9eac5e3b3c3580404989a4030c948a78e1b07b2b5ea5688d8c38a6c61c93e",
"block_number": "1",
"transaction_index": "1",
"log_index": "1"
}
}
],
"page": {
"previous_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=",
"next_cursor": "ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="
}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}activities
List all activities
List all activities
GET
/
v1
/
chains
/
{chain_name}
/
activities
List all activities
Path Parameters
The name of chain
Example:
"imtbl-zkevm-testnet"
Query Parameters
The contract address of NFT or ERC20 Token
An uint256 token id as string
The account address activity contains
The activity type
Available options:
mint, burn, transfer, sale, deposit, withdrawal Example:
"mint"
The transaction hash of activity
Encoded page cursor to retrieve previous or next page. Use the value returned in the response.
Example:
"ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="
Maximum number of items to return
Required range:
1 <= x <= 200Example:
10
Was this page helpful?
⌘I